#
# Conditional build:
%bcond_with	tests	# unit tests

%define	module	astroid
Summary:	An abstract syntax tree for Python 3 with inference support
Summary(pl.UTF-8):	Abstrakcyjnego drzewa składniowe dla Pythona 3 z obsługą wywodu
Name:		python3-%{module}
Version:	2.9.0
Release:	1
License:	LGPL v2.1+
Group:		Development/Languages/Python
#Source0Download: https://pypi.org/simple/astroid/
Source0:	https://files.pythonhosted.org/packages/source/a/astroid/astroid-%{version}.tar.gz
# Source0-md5:	24818fd52a4f51bec86d3801f5f8eccc
Patch0:		%{name}-deps.patch
URL:		https://github.com/PyCQA/astroid
BuildRequires:	python3-devel >= 1:3.5
BuildRequires:	python3-modules >= 1:3.5
BuildRequires:	python3-pytest-runner
BuildRequires:	python3-setuptools >= 7.0
%if %{with tests}
BuildRequires:	python3-lazy-object-proxy >= 1.4
BuildRequires:	python3-pytest
BuildRequires:	python3-six >= 1.12
%if "%{py3_ver}" < "3.8"
BuildRequires:	python3-typed_ast >= 1.4.0
BuildRequires:	python3-typed_ast < 1.5
%endif
BuildRequires:	python3-wrapt >= 1.11
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python3-modules >= 1:3.5
Obsoletes:	python3-logilab-astng
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The aim of this module is to provide a common base representation of
Python source code for projects such as pychecker, pyreverse,
pylint... Well, actually the development of this library is
essentially governed by pylint's needs. It used to be called
logilab-astng.

%description -l pl.UTF-8
Celem tego modułu jest dostarczenie wspólnej bazowej reprezentacji
kodu źródłowego Pythona dla projektów takich jak pychecker, pyreverse,
pylint... Właściwie tworzenie tej biblioteki jest istotnie kierowane
potrzebami pylinta. Dawniej nazywała się logilab-astng.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1

%build
%py3_build

%if %{with tests}
%{__python3} -m pytest tests
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{py3_sitescriptdir}/astroid
%{py3_sitescriptdir}/astroid-%{version}-py*.egg-info
%changelog
* Wed Dec 08 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-astroid.git;a=log;h=master

* Wed Dec 08 2021 Jan Palus <atler@pld-linux.org> 6e33700
- up to 2.9.0

* Wed Mar 03 2021 Jan Rękorajski <baggins@pld-linux.org> 3d05f46
- up to 2.5.1

* Tue Mar 02 2021 Jan Rękorajski <baggins@pld-linux.org> 1681d8f
- release 3 (by relup.sh)

* Sun Mar 29 2020 Jakub Bogusz <qboosh@pld-linux.org> 2ef047d
- fix python_requires (broke distlib: '.*' not allowed for '>=' constraints); release 2

* Sat Nov 16 2019 Jakub Bogusz <qboosh@pld-linux.org> 4e4ce5e
- updated to 2.3.3
- updated deps patch (drop implementation_name rule here, not supported by rpm-pythonprov)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 7dbb44c
- rebuild with python 3.8
- release 2 (by relup.sh)

* Fri Oct 25 2019 Jakub Bogusz <qboosh@pld-linux.org> 3987911
- python3-only version under python3-* spec name

* Fri Oct 25 2019 Jakub Bogusz <qboosh@pld-linux.org> c8eef9e
- up to 2.3.2; has anyone used this package? astroid 2.x is python3-only

* Sun Oct 13 2019 Adam Gołębiowski <adamg@pld-linux.org> 077b42c
- release 2, fix deps

* Sat Oct 12 2019 Adam Gołębiowski <adamg@pld-linux.org> b9412b5
- updated to 2.3.1

* Sat Oct 12 2019 Adam Gołębiowski <adamg@pld-linux.org> 59b2fff
- release 2

* Sat Oct 12 2019 Adam Gołębiowski <adamg@pld-linux.org> 965510b
- URL update

* Fri Mar 08 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> fa922e5
- up to 2.2.5

* Wed Oct 17 2018 Jacek Konieczny <j.konieczny@eggsoft.pl> aab7060
- BR: python-pytest-runner

* Fri Aug 31 2018 Marcin Krol <hawk@tld-linux.org> 4537d2c
- updated to 2.0.4

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 8bf2d4b
- release 3 (by relup.sh)

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 79d3c2d
- python 3.7 rebuild
- release 2 (by relup.sh)

* Sat Mar 24 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> bb07924
- up to 1.6.2

* Fri Nov 24 2017 Jacek Konieczny <j.konieczny@eggsoft.pl> 435950d
- logilab-common is no longer needed

* Fri Nov 24 2017 Jacek Konieczny <j.konieczny@eggsoft.pl> 5f52da9
- drop unused Patch0

